Bug 252264 - databases/mysqlwsrep57-server Make service_startup_timeout configurable
Summary: databases/mysqlwsrep57-server Make service_startup_timeout configurable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-12-29 11:02 UTC by daniele.sciascia
Modified: 2021-01-17 18:53 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (devel)


Attachments
A patch to make service_startup_timeout configurable from rc.conf (1.13 KB, patch)
2020-12-29 11:02 UTC, daniele.sciascia
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniele.sciascia 2020-12-29 11:02:19 UTC
Created attachment 221084 [details]
A patch to make service_startup_timeout configurable from rc.conf

The port of mysqlwsrep57-server contains a hardcoded startup timeout value of 900 seconds. This timeout value should be configurable.
At least one use case has been identified here https://github.com/codership/mysql-wsrep/issues/380:

"In some scenarios it is desirable to set this value to 0 to make sure the script does not hold up system startup. This is particularly important when running in a FreeBSD jail(8) along with other jails that are started sequentially. Jail startup is not considered complete until rc(8) finishes, holding up the starting of other jails on the same system. Specifically, if all nodes in a Galera cluster are running in jails on the same system, the cluster may never recover after a restart if the first instance to start up requires SST."

A patch has been devised and is attached to this ticket.
Comment 1 Automation User 2021-01-13 00:24:20 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/240794955
Comment 2 commit-hook freebsd_committer 2021-01-17 18:52:27 UTC
A commit references this bug:

Author: swills
Date: Sun Jan 17 18:52:07 UTC 2021
New revision: 561860
URL: https://svnweb.freebsd.org/changeset/ports/561860

Log:
  databases/mysqlwsrep57-server Make service_startup_timeout configurable

  PR:		252264
  Submitted by:	daniele.sciascia@galeracluster.com
  Approved by:	maintainer timeout (devel@galeracluster.com, >2 weeks)

Changes:
  head/databases/mysqlwsrep57-server/Makefile
  head/databases/mysqlwsrep57-server/files/mysql-server.in
Comment 3 Steve Wills freebsd_committer 2021-01-17 18:53:21 UTC
Committed, thanks!